Package: geb.interaction

## [Groovy] Class InteractDelegate

- geb.interaction.InteractDelegate

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Actions` | `actions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `InteractDelegate (WebDriver driver)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `InteractDelegate` | `click(Navigator navigator)` @see Actions#click(org.openqa.selenium.WebElement)
    `` | `InteractDelegate` | `click()` @see Actions#click()
    `` | `InteractDelegate` | `clickAndHold(Navigator navigator)` @see Actions#clickAndHold(org.openqa.selenium.WebElement)
    `` | `InteractDelegate` | `clickAndHold()` @see Actions#clickAndHold()
    `` | `InteractDelegate` | `contextClick(Navigator navigator)` @see Actions#contextClick(org.openqa.selenium.WebElement)
    `` | `InteractDelegate` | `contextClick()` @see Actions#contextClick()
    `` | `InteractDelegate` | `doubleClick(Navigator navigator)` @see Actions#doubleClick(org.openqa.selenium.WebElement)
    `` | `InteractDelegate` | `doubleClick()` @see Actions#doubleClick()
    `` | `InteractDelegate` | `dragAndDrop(Navigator source, Navigator target)` @see Actions#dragAndDrop(org.openqa.selenium.WebElement, org.openqa.selenium.WebElement)
    `` | `InteractDelegate` | `dragAndDropBy(Navigator source, int xOffset, int yOffset)` @see Actions#dragAndDropBy(org.openqa.selenium.WebElement, int, int)
    `` | `InteractDelegate` | `keyDown(Keys theKey)` @see Actions#keyDown(org.openqa.selenium.Keys)
    `` | `InteractDelegate` | `keyDown(Navigator navigator, Keys theKey)` @see Actions#keyDown(org.openqa.selenium.WebElement, org.openqa.selenium.Keys)
    `` | `InteractDelegate` | `keyUp(Keys theKey)` @see Actions#keyUp(org.openqa.selenium.Keys)
    `` | `InteractDelegate` | `keyUp(Navigator navigator, Keys theKey)` @see Actions#keyUp(org.openqa.selenium.WebElement, org.openqa.selenium.Keys)
    `` | `InteractDelegate` | `moveByOffset(int xOffset, int yOffset)` @see Actions#moveByOffset(int, int)
    `` | `InteractDelegate` | `moveToElement(Navigator navigator)` @see Actions#moveToElement(org.openqa.selenium.WebElement)
    `` | `InteractDelegate` | `moveToElement(Navigator navigator, int xOffset, int yOffset)` @see Actions#moveToElement(org.openqa.selenium.WebElement, int, int)
    `` | `InteractDelegate` | `pause(long pause)` @see Actions#pause(long)
    `` | `InteractDelegate` | `pause(java.time.Duration duration)` @see Actions#pause(java.time.Duration)
    `` | `void` | `perform()`
    `` | `InteractDelegate` | `release(Navigator navigator)` @see Actions#release(org.openqa.selenium.WebElement)
    `` | `InteractDelegate` | `release()` @see Actions#release()
    `` | `InteractDelegate` | `sendKeys(CharSequence... keysToSend)` @see Actions#sendKeys(java.lang.CharSequence ...)
    `` | `InteractDelegate` | `sendKeys(Navigator navigator, CharSequence... keysToSend)` @see Actions#sendKeys(org.openqa.selenium.WebElement, java.lang.CharSequence ...)

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### Actions actions

  - ### Constructor Detail

    - #### InteractDelegate(WebDriver driver)

  - ### Method Detail

    - #### InteractDelegate click(Navigator navigator)

      See Also:
        Actions#click(org.openqa.selenium.WebElement)

    - #### InteractDelegate click()

      See Also:
        Actions.click

    - #### InteractDelegate clickAndHold(Navigator navigator)

      See Also:
        Actions#clickAndHold(org.openqa.selenium.WebElement)

    - #### InteractDelegate clickAndHold()

      See Also:
        Actions.clickAndHold

    - #### InteractDelegate contextClick(Navigator navigator)

      See Also:
        Actions#contextClick(org.openqa.selenium.WebElement)

    - #### InteractDelegate contextClick()

      See Also:
        Actions.contextClick

    - #### InteractDelegate doubleClick(Navigator navigator)

      See Also:
        Actions#doubleClick(org.openqa.selenium.WebElement)

    - #### InteractDelegate doubleClick()

      See Also:
        Actions.doubleClick

    - #### InteractDelegate dragAndDrop(Navigator source, Navigator target)

      See Also:
        Actions#dragAndDrop(org.openqa.selenium.WebElement, org.openqa.selenium.WebElement)

    - #### InteractDelegate dragAndDropBy(Navigator source, int xOffset, int yOffset)

      See Also:
        Actions#dragAndDropBy(org.openqa.selenium.WebElement, int, int)

    - #### InteractDelegate keyDown(Keys theKey)

      See Also:
        Actions#keyDown(org.openqa.selenium.Keys)

    - #### InteractDelegate keyDown(Navigator navigator, Keys theKey)

      See Also:
        Actions#keyDown(org.openqa.selenium.WebElement, org.openqa.selenium.Keys)

    - #### InteractDelegate keyUp(Keys theKey)

      See Also:
        Actions#keyUp(org.openqa.selenium.Keys)

    - #### InteractDelegate keyUp(Navigator navigator, Keys theKey)

      See Also:
        Actions#keyUp(org.openqa.selenium.WebElement, org.openqa.selenium.Keys)

    - #### InteractDelegate moveByOffset(int xOffset, int yOffset)

      See Also:
        Actions.moveByOffset

    - #### InteractDelegate moveToElement(Navigator navigator)

      See Also:
        Actions#moveToElement(org.openqa.selenium.WebElement)

    - #### InteractDelegate moveToElement(Navigator navigator, int xOffset, int yOffset)

      See Also:
        Actions#moveToElement(org.openqa.selenium.WebElement, int, int)

    - #### InteractDelegate pause(long pause)

      See Also:
        Actions.pause

    - #### InteractDelegate pause(java.time.Duration duration)

      See Also:
        Actions#pause(java.time.Duration)

    - #### void perform()

    - #### InteractDelegate release(Navigator navigator)

      See Also:
        Actions#release(org.openqa.selenium.WebElement)

    - #### InteractDelegate release()

      See Also:
        Actions.release

    - #### InteractDelegate sendKeys(CharSequence... keysToSend)

      See Also:
        Actions#sendKeys(java.lang.CharSequence ...)

    - #### InteractDelegate sendKeys(Navigator navigator, CharSequence... keysToSend)

      See Also:
        Actions#sendKeys(org.openqa.selenium.WebElement, java.lang.CharSequence ...)